Socket (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: Socket

Package org.apache.tools.ant.taskdefs.condition

# Class Socket

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.condition.Socket

All Implemented Interfaces:
  `Cloneable`, `Condition`

public class Socket extends ProjectComponent implements Condition
Condition to wait for a TCP/IP socket to have a listener. Its attributes are: server - the name of the server. port - the port number of the socket.

Since:
  Ant 1.5

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Socket()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Is this condition true?
  `void`
  `setPort(int port)`
  Set the port attribute
  `void`
  `setServer(String server)`
  Set the server attribute

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Socket

    public Socket()

- ## Method Details

  - ### setServer

    public void setServer(String server)
    Set the server attribute
    Parameters:
      `server` - the server name

  - ### setPort

    public void setPort(int port)
    Set the port attribute
    Parameters:
      `port` - the port number of the socket

  - ### eval

    public boolean eval() throws BuildException
    Description copied from interface: `Condition`
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if a socket can be created
    Throws:
      `BuildException` - if the attributes are not set